# IRsAcceleratorHandlerManagerDisp Struct Reference

Inherits IDispatch, and IDispatch.

List of all members.

## Public Member Functions
HRESULT | ProcessMessage ([in] MSG *pMessage)
HRESULT | AddHandler ([in] IDispatch *pHandler)
HRESULT | RemoveHandler ([in] IDispatch *pHandler)
HRESULT | GetHandlerCount ([out, retval] RtDWORD *dwCount)
HRESULT | GetHandler ([in] RtDWORD dwIndex,[out, retval] IDispatch **pHandler)
HRESULT | KeynameToVKey ([in] BSTR bsName,[out, retval] RtDWORD *pdwVKey)
HRESULT | VKeyToKeyname ([in] RtDWORD dwVKey,[out, retval] BSTR *pdwName)
HRESULT | AcceleratorSequenceToVKey ([in] BSTR bsAccSeq,[out] RtDWORD *pdwVKey,[out] RtDWORD *pdwModifiers)
HRESULT | VKeyToAcceleratorSequence ([in] RtDWORD dwVKey,[in] RtDWORD dwModifiers,[out, retval] BSTR *pbsAccSeq)
HRESULT | Enable ()
HRESULT | Disable ()
HRESULT | RedirectToHandler ([in] IDispatch *pHandler)
HRESULT | ResetRedirectToHandler ()
HRESULT | ProcessMessage ([in] MSG *pMessage)
HRESULT | AddHandler ([in] IDispatch *pHandler)
HRESULT | RemoveHandler ([in] IDispatch *pHandler)
HRESULT | GetHandlerCount ([out, retval] RtDWORD *dwCount)
HRESULT | GetHandler ([in] RtDWORD dwIndex,[out, retval] IDispatch **pHandler)
HRESULT | KeynameToVKey ([in] BSTR bsName,[out, retval] RtDWORD *pdwVKey)
HRESULT | VKeyToKeyname ([in] RtDWORD dwVKey,[out, retval] BSTR *pdwName)
HRESULT | AcceleratorSequenceToVKey ([in] BSTR bsAccSeq,[out] RtDWORD *pdwVKey,[out] RtDWORD *pdwModifiers)
HRESULT | VKeyToAcceleratorSequence ([in] RtDWORD dwVKey,[in] RtDWORD dwModifiers,[out, retval] BSTR *pbsAccSeq)
HRESULT | Enable ()
HRESULT | Disable ()
HRESULT | RedirectToHandler ([in] IDispatch *pHandler)
HRESULT | ResetRedirectToHandler ()

## Detailed Description

IRsAcceleratorHandlerManagerDisp - dispatch version of IRsAcceleratorHandlerManager interface.

## Member Function Documentation

HRESULT IRsAcceleratorHandlerManagerDisp::ProcessMessage | ( | [in] MSG * | pMessage | ) |

Process the message. Only keyboard related messages are passed to the handlers. Accelerator handlers process the message on the Last-Added-First-Served basis.

Parameters:

  | pMessage | [in] . Return S_OK if message was handled. Return S_FALSE if message was not handled. Return error code if any handler failed completely.

WARNING - Accelerators are processed inside mouse events. You are not allowed to access graph during processing.

- The processing should be as short as possible. If you require longer processing you have to post a command or perform another way of asynchronous processing.

HRESULT IRsAcceleratorHandlerManagerDisp::AddHandler | ( | [in] IDispatch * | pHandler | ) |

Add new accelerator handler.

Parameters:

  | pHandler | [in] .

HRESULT IRsAcceleratorHandlerManagerDisp::RemoveHandler | ( | [in] IDispatch * | pHandler | ) |

Remove the accelerator handler.

Parameters:

  | pHandler | [in] .

HRESULT IRsAcceleratorHandlerManagerDisp::GetHandlerCount | ( | [out, retval] RtDWORD * | dwCount | ) |

Get accelerator handler count.

Returns:
  dwCount [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::GetHandler | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IDispatch ** | pHandler |
| ) |  |  |

Get the accelerator handler at given index.

Parameters:

  | dwIndex | [in] .

Returns:
  pHandler [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::KeynameToVKey | ( | [in] BSTR | bsName,
|  | [out, retval] RtDWORD * | pdwVKey |
| ) |  |  |

Key name to VKey conversion.

Parameters:

  | bsName | [in] .

Returns:
  pdwVKey [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::VKeyToKeyname | ( | [in] RtDWORD | dwVKey,
|  | [out, retval] BSTR * | pdwName |
| ) |  |  |

VKey to Key name conversion.

Parameters:

  | dwVKey | [in] .

Returns:
  pdwName [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::AcceleratorSequenceToVKey | ( | [in] BSTR | bsAccSeq,
|  | [out] RtDWORD * | pdwVKey,
|  | [out] RtDWORD * | pdwModifiers |
| ) |  |  |

Convert accelerator sequence to VKey and modifier flags.
Key sequence is a sequence of strings generated by VKeyToKeyname separated by space.

Parameters:

  | bsAccSeq | [in] .
  | pdwVKey | [out] .
  | pdwModifiers | [out] .

HRESULT IRsAcceleratorHandlerManagerDisp::VKeyToAcceleratorSequence | ( | [in] RtDWORD | dwVKey,
|  | [in] RtDWORD | dwModifiers,
|  | [out, retval] BSTR * | pbsAccSeq |
| ) |  |  |

Convert VKey and modifier flags to accelerator sequence.
Key sequence is a sequence of strings generated by VKeyToKeyname separated by space.

Parameters:

  | dwVKey | [in] .
  | dwModifiers | [in] .

Returns:
  pbsAccSeq [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::Enable | ( |  | ) |

Enable handling of the accelerators. Handler is enabled by default after creation.

HRESULT IRsAcceleratorHandlerManagerDisp::Disable | ( |  | ) |

Disable handling of the accelerators (List of accelerators remains valid).

HRESULT IRsAcceleratorHandlerManagerDisp::RedirectToHandler | ( | [in] IDispatch * | pHandler | ) |

Force temporary redirect of all messages to given single handler. Enabled flag is ignored.
This should be used for modal dialogs (i.e. shortcut assign dialog).

Parameters:

  | pHandler | [in] Handler to use for redirection.

HRESULT IRsAcceleratorHandlerManagerDisp::ResetRedirectToHandler | ( |  | ) |

Remove the forced redirect handler and continue with normal processing.

HRESULT IRsAcceleratorHandlerManagerDisp::ProcessMessage | ( | [in] MSG * | pMessage | ) |

Process the message. Only keyboard related messages are passed to the handlers. Accelerator handlers process the message on the Last-Added-First-Served basis.

Parameters:

  | pMessage | [in] . Return S_OK if message was handled. Return S_FALSE if message was not handled. Return error code if any handler failed completely.

WARNING - Accelerators are processed inside mouse events. You are not allowed to access graph during processing.

- The processing should be as short as possible. If you require longer processing you have to post a command or perform another way of asynchronous processing.

HRESULT IRsAcceleratorHandlerManagerDisp::AddHandler | ( | [in] IDispatch * | pHandler | ) |

Add new accelerator handler.

Parameters:

  | pHandler | [in] .

HRESULT IRsAcceleratorHandlerManagerDisp::RemoveHandler | ( | [in] IDispatch * | pHandler | ) |

Remove the accelerator handler.

Parameters:

  | pHandler | [in] .

HRESULT IRsAcceleratorHandlerManagerDisp::GetHandlerCount | ( | [out, retval] RtDWORD * | dwCount | ) |

Get accelerator handler count.

Returns:
  dwCount [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::GetHandler | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IDispatch ** | pHandler |
| ) |  |  |

Get the accelerator handler at given index.

Parameters:

  | dwIndex | [in] .

Returns:
  pHandler [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::KeynameToVKey | ( | [in] BSTR | bsName,
|  | [out, retval] RtDWORD * | pdwVKey |
| ) |  |  |

Key name to VKey conversion.

Parameters:

  | bsName | [in] .

Returns:
  pdwVKey [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::VKeyToKeyname | ( | [in] RtDWORD | dwVKey,
|  | [out, retval] BSTR * | pdwName |
| ) |  |  |

VKey to Key name conversion.

Parameters:

  | dwVKey | [in] .

Returns:
  pdwName [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::AcceleratorSequenceToVKey | ( | [in] BSTR | bsAccSeq,
|  | [out] RtDWORD * | pdwVKey,
|  | [out] RtDWORD * | pdwModifiers |
| ) |  |  |

Convert accelerator sequence to VKey and modifier flags.
Key sequence is a sequence of strings generated by VKeyToKeyname separated by space.

Parameters:

  | bsAccSeq | [in] .
  | pdwVKey | [out] .
  | pdwModifiers | [out] .

HRESULT IRsAcceleratorHandlerManagerDisp::VKeyToAcceleratorSequence | ( | [in] RtDWORD | dwVKey,
|  | [in] RtDWORD | dwModifiers,
|  | [out, retval] BSTR * | pbsAccSeq |
| ) |  |  |

Convert VKey and modifier flags to accelerator sequence.
Key sequence is a sequence of strings generated by VKeyToKeyname separated by space.

Parameters:

  | dwVKey | [in] .
  | dwModifiers | [in] .

Returns:
  pbsAccSeq [out,retval] .

HRESULT IRsAcceleratorHandlerManagerDisp::Enable | ( |  | ) |

Enable handling of the accelerators. Handler is enabled by default after creation.

HRESULT IRsAcceleratorHandlerManagerDisp::Disable | ( |  | ) |

Disable handling of the accelerators (List of accelerators remains valid).

HRESULT IRsAcceleratorHandlerManagerDisp::RedirectToHandler | ( | [in] IDispatch * | pHandler | ) |

Force temporary redirect of all messages to given single handler. Enabled flag is ignored.
This should be used for modal dialogs (i.e. shortcut assign dialog).

Parameters:

  | pHandler | [in] Handler to use for redirection.

HRESULT IRsAcceleratorHandlerManagerDisp::ResetRedirectToHandler | ( |  | ) |

Remove the forced redirect handler and continue with normal processing.